pkg-config problems

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

pkg-config problems

David Gerard
I'm trying to install pkg-config in MSYS.

Per the MinGW FAQ, I've installed GTK+-2.0 for Windows first.

I downloaded the pkg-config 0.23 tarball. I did ./configure and it
gave an error:

checking whether to list both direct and indirect dependencies... sh:
line 316: syntax error near unexpected token `('
sh: line 316: `eval echo file_magic file format
pei*-i386(.*architecture: i386)?'
no

The configure script continues, but the resulting makefiles don't work.

What obvious thing have I missed? Or is there a tweak?


- d.

------------------------------------------------------------------------------
_______________________________________________
MinGW-users mailing list
[hidden email]

You may change your MinGW Account Options or unsubscribe at:
https://lists.sourceforge.net/lists/listinfo/mingw-users

_______________________________________________
This list observes the Etiquette found at http://www.mingw.org/Mailing_Lists.
We ask that you be polite and do the same.
Reply | Threaded
Open this post in threaded view
|

Re: pkg-config problems

JonY-2
On 12/31/2008 01:45, David Gerard wrote:

> I'm trying to install pkg-config in MSYS.
>
> Per the MinGW FAQ, I've installed GTK+-2.0 for Windows first.
>
> I downloaded the pkg-config 0.23 tarball. I did ./configure and it
> gave an error:
>
> checking whether to list both direct and indirect dependencies... sh:
> line 316: syntax error near unexpected token `('
> sh: line 316: `eval echo file_magic file format
> pei*-i386(.*architecture: i386)?'
> no
>
> The configure script continues, but the resulting makefiles don't work.
>
> What obvious thing have I missed? Or is there a tweak?
>
>
> - d.
>


Hi,
What version of sh are you running, try updating to a later version of
MSYS bash.

------------------------------------------------------------------------------
_______________________________________________
MinGW-users mailing list
[hidden email]

You may change your MinGW Account Options or unsubscribe at:
https://lists.sourceforge.net/lists/listinfo/mingw-users

_______________________________________________
This list observes the Etiquette found at http://www.mingw.org/Mailing_Lists.
We ask that you be polite and do the same.
Reply | Threaded
Open this post in threaded view
|

Re: pkg-config problems

Роман Донченко
In reply to this post by David Gerard

"David Gerard" <[hidden email]>
сообщил/сообщила в новостях следующее:
news:[hidden email]...
> I'm trying to install pkg-config in MSYS.
>
> Per the MinGW FAQ, I've installed GTK+-2.0 for Windows first.
>
> I downloaded the pkg-config 0.23 tarball. I did ./configure and it
> gave an error:

Why won't you use the readily available precompiled version from
http://www.gtk.org/download-windows.html?

Roman.



------------------------------------------------------------------------------
_______________________________________________
MinGW-users mailing list
[hidden email]

You may change your MinGW Account Options or unsubscribe at:
https://lists.sourceforge.net/lists/listinfo/mingw-users

_______________________________________________
This list observes the Etiquette found at http://www.mingw.org/Mailing_Lists.
We ask that you be polite and do the same.
Reply | Threaded
Open this post in threaded view
|

Re: pkg-config problems

David Gerard
2008/12/30 Роман Донченко <[hidden email]>:
> "David Gerard" <[hidden email]>
> сообщил/сообщила в новостях следующее:
> news:[hidden email]...

>> I'm trying to install pkg-config in MSYS.
>> Per the MinGW FAQ, I've installed GTK+-2.0 for Windows first.
>> I downloaded the pkg-config 0.23 tarball. I did ./configure and it
>> gave an error:

> Why won't you use the readily available precompiled version from
> http://www.gtk.org/download-windows.html?


Aha, thank you! That wasn't linked from the MinGW FAQ ... I've just
corrected the FAQ.


- d.
------------------------------------------------------------------------------
_______________________________________________
MinGW-users mailing list
[hidden email]

You may change your MinGW Account Options or unsubscribe at:
https://lists.sourceforge.net/lists/listinfo/mingw-users

_______________________________________________
This list observes the Etiquette found at http://www.mingw.org/Mailing_Lists.
We ask that you be polite and do the same.
Reply | Threaded
Open this post in threaded view
|

Re: pkg-config problems

David Gerard
In reply to this post by JonY-2
2008/12/30 JonY <[hidden email]>:

> What version of sh are you running, try updating to a later version of
> MSYS bash.


bash --version gives "GNU bash, version 3.1.0(1)-release
(i686-pc-msys)" - it's from bash-3.1-MSYS-1.0.11-1.tar.bz2 from
sourceforge, the latest version I could see there.


- d.

------------------------------------------------------------------------------
_______________________________________________
MinGW-users mailing list
[hidden email]

You may change your MinGW Account Options or unsubscribe at:
https://lists.sourceforge.net/lists/listinfo/mingw-users

_______________________________________________
This list observes the Etiquette found at http://www.mingw.org/Mailing_Lists.
We ask that you be polite and do the same.